from xtr import logging
from mtf.proto_common import EthProtocolType
from mtf.test_features_sim.test_features_controller import TestFeaturesSim
from mtf_basic_tuto_fixture import MTFBasicTutoFixture
import sys
import os
sys.path.append(os.path.join(os.path.dirname(__file__), ".."))


tfs_instance = TestFeaturesSim()

logger = logging.getLogger(__name__)


class FixtureStartSimulations(MTFBasicTutoFixture):

    @classmethod
    def setUpClass(cls):
        logger.info(
            "Message from FixtureStartSimulations setUpClass function"
        )

    @classmethod
    def tearDownClass(cls):
        logger.info(
            "Message from FixtureStartSimulations tearDownClass function"
        )

    def setUp(self):
        logger.info(
            "Message from FixtureStartSimulations setUp function"
        )

    def tearDown(self):
        logger.info(
            "Message from FixtureStartSimulations tearDown function"
        )
